QXmppRpcManager Class Reference
Managers

The QXmppRpcManager class make it possible to invoke remote methods and to expose local interfaces for remote procedure calls, as specified by XEP-0009: Jabber-RPC. More...

`#include <QXmppRpcManager.h>`

Inheritance diagram for QXmppRpcManager:

List of all members.

## Public Member Functions

| QXmppRpcManager ()
| Constructs a QXmppRpcManager.
void | addInvokableInterface (QXmppInvokable *interface)

QXmppRemoteMethodResult

callRemoteMethod (const QString &jid, const QString &interface, const QVariant &arg1=QVariant(), const QVariant &arg2=QVariant(), const QVariant &arg3=QVariant(), const QVariant &arg4=QVariant(), const QVariant &arg5=QVariant(), const QVariant &arg6=QVariant(), const QVariant &arg7=QVariant(), const QVariant &arg8=QVariant(), const QVariant &arg9=QVariant(), const QVariant &arg10=QVariant())

## Detailed Description

The QXmppRpcManager class make it possible to invoke remote methods and to expose local interfaces for remote procedure calls, as specified by XEP-0009: Jabber-RPC.

To make use of this manager, you need to instantiate it and load it into the QXmppClient instance as follows:

     QXmppRpcManager *manager = new QXmppRpcManager;
     client->addExtension(manager);

Note:
  THIS API IS NOT FINALIZED YET

## Member Function Documentation

void QXmppRpcManager::addInvokableInterface | ( | QXmppInvokable * | interface | ) |

Adds a local interface which can be queried using RPC.

Parameters:

  interface |

QXmppRemoteMethodResult QXmppRpcManager::callRemoteMethod | ( | const QString & | jid,
|  | const QString & | interface,
|  | const QVariant & | arg1 = `QVariant()`,
|  | const QVariant & | arg2 = `QVariant()`,
|  | const QVariant & | arg3 = `QVariant()`,
|  | const QVariant & | arg4 = `QVariant()`,
|  | const QVariant & | arg5 = `QVariant()`,
|  | const QVariant & | arg6 = `QVariant()`,
|  | const QVariant & | arg7 = `QVariant()`,
|  | const QVariant & | arg8 = `QVariant()`,
|  | const QVariant & | arg9 = `QVariant()`,
|  | const QVariant & | arg10 = `QVariant()`
| ) |  |

Calls a remote method using RPC with the specified arguments.

Note:
  This method blocks until the response is received, and it may cause XMPP stanzas to be lost!

The documentation for this class was generated from the following files:

- QXmppRpcManager.h
- QXmppRpcManager.cpp

All Classes Functions Enumerations Enumerator Properties